<?php

/**
 * @file
 */

namespace Drupal\content_snapshot\Logger;

/**
 * Class Logger.
 */
class Logger implements LoggerInterface {


  /**
   * @var \Psr\Log\LoggerInterface
   */
  private $logger;

  /**
   * @param \Psr\Log\LoggerInterface $logger
   */
  public function setLogger(\Psr\Log\LoggerInterface $logger): void {
    $this->logger = $logger;
  }

  public function emergency(string|\Stringable $message, array $context = []): void {
    $this->logger->emergency($message, $context);
  }

  public function alert(string|\Stringable $message, array $context = []): void {
    $this->logger->alert($message, $context);
  }

  public function critical(string|\Stringable $message, array $context = []): void {
    $this->logger->critical($message, $context);
  }

  public function error(string|\Stringable $message, array $context = []): void {
    $this->logger->error($message, $context);
  }

  public function warning(string|\Stringable $message, array $context = []): void {
    $this->logger->warning($message, $context);
  }

  public function notice(string|\Stringable $message, array $context = []): void {
    $this->logger->notice($message, $context);
  }

  public function info(string|\Stringable $message, array $context = []): void {
    $this->logger->info($message, $context);
  }

  public function debug(string|\Stringable $message, array $context = []): void {
    $this->logger->debug($message, $context);
  }

  public function log($level, string|\Stringable $message, array $context = []): void {
    $this->logger->log($level, $message, $context);
  }

}
